// Client.java
// Le client demande la saisie des montants monetaires et les convertit 
//   en utilisant les mthodes distantes des objets distribues
//
import java.awt.*;
import java.io.*;
import java.net.*;

/* Les packages de RMI */
import java.rmi.*;
import java.rmi.server.*;

public class Client
{
  public static void main(String args[]) throws RemoteException,IOException,NotBoundException
  {
      // Adresse Ip ou nom de domaine du serveur
      String hostServeur="localhost";
      if (args.length==1)
          hostServeur=args[0];

      // Connexions aux deux devises cres sur le serveur
      DeviseInt francs_euro = (DeviseInt)Naming.lookup("rmi://"+hostServeur+":9100/FRANCS_EURO");
      DeviseInt francs_dollars = (DeviseInt)Naming.lookup("rmi://"+hostServeur+":9100/FRANCS_DOLLARS");
      
      // Programme de test d'utilisation des deux devises
      while (true)
        {
            double val,resultat;
            DataInputStream in = new DataInputStream(System.in);
            
            System.out.println("Conversion francs en euro");
            System.out.print("Francs: ");
            System.out.flush();
            val = Double.parseDouble(in.readLine());
            resultat = francs_euro.convertir1(val);
            System.out.println("Euro: "+resultat);
            
            System.out.println("Conversion euro en frans");
            System.out.print("Euro: ");
            System.out.flush();
            val = Double.parseDouble(in.readLine());
            resultat = francs_euro.convertir2(val);
            System.out.println("Franc: "+resultat);
            
            
            System.out.println("Conversion francs en dollars");
            System.out.print("Francs: ");
            System.out.flush();
            val = Double.parseDouble(in.readLine());
            resultat = francs_dollars.convertir1(val);
            System.out.println("Dollars: "+resultat);
            
            System.out.println("Conversion dollars en francs");
            System.out.print("Dollars: ");
            System.out.flush();
            val = Double.parseDouble(in.readLine());
            resultat = francs_dollars.convertir2(val);
            System.out.println("Franc: "+resultat);
        }
  }
}
