// Serveur.java
// Le serveur cree deux objets distribues de devise : FRANCS/EURO et FRANCS/DOLLARS
// Il permet aussi de changer dynamiquement le taux de la devise FRANCS/DOLLARS
//
import java.io.*;
import java.awt.*;
import java.net.*;

/* Les packages de RMI */
import java.rmi.*;
import java.rmi.server.*;
import java.rmi.registry.*;

public class Serveur
{
    public static void main(String args[]) throws RemoteException,ServerNotActiveException,MalformedURLException, IOException
    {
        // Creation de l'annuaire s'il n'existe pas dj
        try{
            LocateRegistry.createRegistry(9100);
        } catch(Exception ex){};

        // Creation de deux objets distribus
        // 1 pour chaque conversion de monnaie
        //
        Devise devise1 = new Devise("FRANCS","EURO",1.0/6.56);
        Naming.rebind("rmi://localhost:9100/FRANCS_EURO",devise1);
        
        Devise devise2 = new Devise("FRANCS","DOLLARS",0.98);
        Naming.rebind("rmi://localhost:9100/FRANCS_DOLLARS",devise2);
        
        System.out.println("Services enregistres pour le serveur");
        
        /* On permet d'intervenir sur le serveur */
        while (true)
            {
                DataInputStream in = new DataInputStream(System.in);
                System.out.print("Nouveau taux pour francs-dollars: ");
                System.out.flush();
                double t = Double.parseDouble(in.readLine());
                devise2.setTaux(t);
            }
    }
}


